Subject: bug#13930: Emacs doesn't cope well if it can't access/create .emacs.d

From: Robert Prije <[email-masked]>
Date: Tue, 12 Mar 2013 11:52:08 +0800

It does exactly the same thing with --debug-init (says "creating directory:
permission denied...") and supplies no further information.

I think --debug-init is for debugging an init file, right? It's not getting
as far as loading the init file so it won't be able to debug it.

On Tue, Mar 12, 2013 at 11:43 AM, Stefan Monnier
<[email-masked]>wrote:

> > As a result, whenever I run sudo emacs on a file, it throws the error:
> > "Creating directory: Permission denied, /home/rprije/.emacs.d/"
>
> Can you run with --debug-init to hopefully get a backtrace showing in
> which context this error is signaled?
>
>
>         Stefan
>